/****************************************************************************
** File name    :  HTTestOpencv.h
** Description  :  define Opencv Test function
** Create date  :  2018.09.01
** Auther by    :  Liuyx
** Version info :  V1.0.01
** Copyright (C) 2002-2018 xi'an huatek, Inc Co., Ltd
** Update record:
** DATE         AUTHER   DESC
** -------------------------------------------------------------------------
** 2018.09.01   Liuyx    first build
****************************************************************************/
#ifndef __HT_TESTOPENCV__H
#define __HT_TESTOPENCV__H
#pragma warning(disable: 4819)

#include "HTGlobal.h"
#include "opencv2/opencv.hpp"
// #include "opencv/cv.h"
#include "opencv2/core/core.hpp"
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/imgcodecs.hpp"

#pragma pack (push ,1)

//OpencvDirTraverse.cpp : Defines the entry point for the console application.
#ifdef _WIN32
#ifdef _DEBUG
#pragma comment(lib,"opencv_world3416d.lib")
#else
#pragma comment(lib,"opencv_world3416.lib") 
#endif
#endif

using namespace std;
using namespace cv;

#pragma pack (pop)


int HTCanny(char *filename);
// 图片矫正
void ImageRecify(const char* pInFileName);

void ImgRotate(const char *img_file);

void SendMessageOne(char *rtsp_url);

// 鼠标选取区域，实现截图功能并保持图片
void vCutPicture(char *filename);

// 检测矩形
int iCheckFangXiang(char *filename);

//检测圆方法
int iCheckCircles(char *filename);

//检测直线方法
int iCheckLine(char *filename);


void CannyThreshold(int, void*);
void vHoughLines(int, void*);
void HTImgAnalys(const char *img_file);


void vInitPress_OCR17NI12MO2_16();

#endif // !__HT_OPENCV_IMG_H_

