/****************************************************************************
** File name    :  FLTGlobal.h
** Description  :  global variable define
** Create date  :  2012.10.10
** Auther by    :  Liuyx
** Version info :  V1.0.01
** Copyrigth By:  xi'an huatek, Inc Co., Ltd
** Update record:  
** DATE         AUTHER   DESC 
** -------------------------------------------------------------------------               
** 2018.09.01   Liuyx    first build
****************************************************************************/
#pragma warning (disable:4786)
//#include "StdAfx.h"
#include "HTGlobal.h"

TConfig     g_TConfig ;
TTcpSocket  g_Tcp;
int         g_Running;

ST_IEC104_CTRL   g_IecCtrl;        // socket linker info and status
mutex            g_IecCtrl_mutex;        // socket linker on mutex

int         g_seqno;               // 与MEC之间交换的流水号
mutex       g_seq_mutex;           // 流水号 

map<string, ST_BYQWORK_STATUS>          g_map_work;           // 主变工作状态缓存
mutex                                   g_map_work_mutex;     // 主变工作状态缓存队列锁

//map<string,ST_BYQ_CACHE>                g_map_byq;            // 变压器缓存数据
map<string, ST_BYQ_RUN_STATE_THRESHOLD> g_map_thres_byq;
mutex                                   g_map_byq_mutex;      // 变压器缓存数据信息队列锁

//map<string,ST_GIS_CACHE>                g_map_gis;            // GIS缓存数据
//mutex                                   g_map_gis_mutex;      // GIS缓存数据信息队列锁

multimap<string, ST_DEV_RELATION>       g_map_relation;        // 主设备与外挂设备关系
mutex                                   g_map_relation_mutex;   // GIS缓存数据信息队列锁

//map<string, ST_GIS_IEC104_DATA>         g_map_gis_104;        // GIS最近一次104上传数据缓存
//mutex                                   g_map_gis_104_mutex;

//map<string, ST_BLQ_CACHE>               g_map_blq;            // BLQ缓存数据
//mutex                                   g_map_blq_mutex;      // BLQ缓存数据信息队列锁

map<unsigned int, ST_IECPOINT_TABLE>    g_map_iec;            // 104点表报文解析缓存数据
mutex                                   g_map_iec_mutex;      // 104报文解析缓存数据信息队列锁

map<unsigned int, IEC_DEVICE>			g_map_devices;            // 104报文解析缓存数据
map<unsigned int, IEC_POINT>			g_map_iec_new;            // 104点表报文解析缓存数据
map<unsigned int, CACHED_DEV_DATA>		g_map_dev_data;            // 104点表报文解析缓存数据
mutex                                   g_map_iec_mutex_new;      // 104报文解析缓存数据信息队列锁

map<unsigned int, ST_SADR_MATCH>        g_map_sadr;   // 点表匹配关系
mutex                                   g_map_sadr_mutex;

map<string, ST_IMG_THRESHOLD>           g_map_img_thres;  // 图片识别阈值
mutex                                   g_map_img_thres_mutex;

map<string, ST_DEVICE_TIME_STAT>        g_map_dev_time_stat;
mutex                                   g_map_dev_time_stat_mutex;

map<unsigned int, ST_BREAK_EQM_CODE>    g_map_gis_state; // 断路器状态位与电流电压关系匹配表
mutex                                   g_map_gis_state_mutex;


pthread_t   thread_handle_parse;    // 104报文解析线程
//pthread_t   thread_handle_setdb;    // 入库线程
pthread_t   thread_handle_timer;    // 超时监测线程
//pthread_t   thread_handle_getdata;  // 数据提取线程

pthread_t   thread_handle_client;		// 客户端链接线程
pthread_t   thread_handle_warning;		// 报警处理及入库线程句柄
pthread_t   thread_handle_origin;		// 原始数据如何线程句柄
pthread_t   thread_handle_origin_new;   // 原始数据如何线程句柄
pthread_t   thread_handle_busi_data;	// 业务数据如何线程句柄
pthread_t   thread_handle_pingce;		// IEC104评测数据入库线程句柄
pthread_t   thread_handle_gishold;		// 断路器断开数据入库线程句柄

pthread_t   thread_handle_recv;		// 

pthread_t   thread_handle_active;   // 心跳线程
pthread_t   thread_handle_linkmgr;  // 链路管理线程
pthread_t   thread_handle_cache;    // 内存同步线程句柄

pthread_t   thread_handle_opecvimg; // 图片识别线程句柄

