/****************************************************************************
** File name    :  HTConst.h
** Description  :  define const
** Create date  :  2018.09.01
** Auther by    :  Liuyx
** Version info :  V1.0.01
** Copyright (C) 2002-2018 xi'an huatek, Inc Co., Ltd
** Update record:  
** DATE         AUTHER   DESC 
** -------------------------------------------------------------------------               
** 2018.09.01   Liuyx    first build
****************************************************************************/
#ifndef __HT_CONST_H
#define __HT_CONST_H

// ASCI字符数字定义
#define     KEY0                     '0'
#define     KEY1                     '1'
#define     KEY2                     '2'
#define     KEY3                     '3'
#define     KEY4                     '4'
#define     KEY5                     '5'
#define     KEY6                     '6'
#define     KEY7                     '7'
#define     KEY8                     '8'
#define     KEY9                     '9'

// 数字定义
#define     KEY_0                    0x00
#define     KEY_1                    0x01
#define     KEY_2                    0x02
#define     KEY_3                    0x03
#define     KEY_4                    0x04
#define     KEY_9                    0x09

#ifndef MAX_PATH
#define MAX_PATH 260
#endif

// use buffer size define
#define   DEF_BUFFER_32          32
#define   DEF_BUFFER_128         128
#define   DEF_BUFFER_256         256
#define   DEF_BUFFER_1K          1024
#define   DEF_BUFFER_2K          2048
#define   DEF_BUFFER_4K          4096
#define   DEF_BUFFER_8K          8192
#define   DEF_BUFFER_512K        1024*512

#define   MAX_SLEEP_EMPTY        5  // ms

#define   CHANNEL_DOWN           1   // MEC下行通道UDP
#define   CHANNEL_UP             0   // MEC上行通道UDP

#define   MAX_FLT_EXTERN         24  // 最大内部报文扩展项个数

// 809平台间报文类型
#define   PALT_PKG_QUERY         0   // 平台查岗
#define   PALT_PKG_MESG          1   // 平台间报文消息

// 来源
#define   MSG_SOURCE_MARGE       0   // 上级监管平台
#define   MSG_SOURCE_LOACL       1   // 企业平台

#define   HT_INVALID_VALUE       0x7FFFFFFF // 无效值

#endif // end __HT_CONST_H

